aboutsummaryrefslogtreecommitdiffstats
path: root/main/smokeping
diff options
context:
space:
mode:
authorJeff Bilyk <jbilyk@gmail.com>2011-10-04 17:44:44 +0000
committerJeff Bilyk <jbilyk@gmail.com>2011-10-04 17:44:44 +0000
commitb2cd6d33cb032e7356f828ddfa5ae34f2f696777 (patch)
treede6ee10075d6110c5ef2fa24d904b243399509f7 /main/smokeping
parent4f1d71fc0441161a0d57c478a0b3d9c798473128 (diff)
downloadaports-b2cd6d33cb032e7356f828ddfa5ae34f2f696777.tar.gz
aports-b2cd6d33cb032e7356f828ddfa5ae34f2f696777.tar.bz2
aports-b2cd6d33cb032e7356f828ddfa5ae34f2f696777.tar.xz
main/smokeping: upgrade to 2.6.1
Diffstat (limited to 'main/smokeping')
-rw-r--r--main/smokeping/0001-fix-sysconfdir-in-etc.patch13
-rw-r--r--main/smokeping/0002-fix-sysconfdir-in-doc.patch26
-rw-r--r--main/smokeping/0003-fix-sysconfdir-in-lib.patch13
-rw-r--r--main/smokeping/0004-fix-sysconfdir-in-htdocs.patch13
-rw-r--r--main/smokeping/APKBUILD116
5 files changed, 100 insertions, 81 deletions
diff --git a/main/smokeping/0001-fix-sysconfdir-in-etc.patch b/main/smokeping/0001-fix-sysconfdir-in-etc.patch
new file mode 100644
index 0000000000..b449a2c008
--- /dev/null
+++ b/main/smokeping/0001-fix-sysconfdir-in-etc.patch
@@ -0,0 +1,13 @@
+Patch from: Jeff Bilyk <jbilyk@alpinelinux.org>
+
+--- smokeping-2.6.1/etc/Makefile.in
++++ smokeping-2.6.1/etc/Makefile.in.new
+@@ -207,7 +207,7 @@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+ EXTRA_DIST = basepage.html.dist config.dist smokemail.dist smokeping_secrets.dist tmail.dist
+-etcdir = $(DESTDIR)$(sysconfdir)
++etcdir = $(sysconfdir)
+ etc_DATA = $(EXTRA_DIST)
+ all: all-am
+
diff --git a/main/smokeping/0002-fix-sysconfdir-in-doc.patch b/main/smokeping/0002-fix-sysconfdir-in-doc.patch
new file mode 100644
index 0000000000..7d6246a9ca
--- /dev/null
+++ b/main/smokeping/0002-fix-sysconfdir-in-doc.patch
@@ -0,0 +1,26 @@
+Patch from: Jeff Bilyk <jbilyk@alpinelinux.org>
+
+--- smokeping-2.6.1/doc/Makefile.in
++++ smokeping-2.6.1/doc/Makefile.in.new
+@@ -239,16 +239,16 @@
+ MAKEPOD = PERL5LIB=$(PERL5LIB) $(PERL) -I$(DESTDIR)$(prefix)/thirdparty/lib/perl5 -I../lib -mSmokeping -e 'Smokeping::main()' -- --makepod
+ GENEX = PERL5LIB=$(PERL5LIB) $(PERL) -I$(DESTDIR)$(prefix)/thirdparty/lib/perl5 -I../lib -mSmokeping -e 'Smokeping::main()' -- --gen-examples
+ CLEANFILES = *.[1357] smokeping_examples.pod smokeping_config.pod examples/*
+-iman1dir = $(DESTDIR)$(mandir)/man1
++iman1dir = $(mandir)/man1
+ iman1_DATA = $(MAN1)
+-iman3dir = $(DESTDIR)$(mandir)/man3
++iman3dir = $(mandir)/man3
+ iman3_DATA = $(MAN3)
+-iman5dir = $(DESTDIR)$(mandir)/man5
++iman5dir = $(mandir)/man5
+ iman5_DATA = $(MAN5)
+-iman7dir = $(DESTDIR)$(mandir)/man7
++iman7dir = $(mandir)/man7
+ iman7_DATA = $(MAN7)
+ EXAMPLES := $(wildcard examples/config.*)
+-etcdir = $(DESTDIR)$(sysconfdir)/examples
++etcdir = $(sysconfdir)/examples
+ etc_DATA = $(EXAMPLES)
+ all: all-am
+
diff --git a/main/smokeping/0003-fix-sysconfdir-in-lib.patch b/main/smokeping/0003-fix-sysconfdir-in-lib.patch
new file mode 100644
index 0000000000..37d30a26c9
--- /dev/null
+++ b/main/smokeping/0003-fix-sysconfdir-in-lib.patch
@@ -0,0 +1,13 @@
+Patch from: Jeff Bilyk <jbilyk@alpinelinux.org>
+
+--- smokeping-2.6.1/lib/Makefile.in
++++ smokeping-2.6.1/lib/Makefile.in.new
+@@ -216,7 +216,7 @@
+ PROBE := $(wildcard Smokeping/probes/*.pm)
+ MATCH := $(wildcard Smokeping/matchers/*.pm)
+ EXTRA_DIST = $(PM) $(SP) $(SORT) $(PROBE) $(MATCH)
+-perllibdir = $(DESTDIR)$(prefix)/lib
++perllibdir = $(prefix)/lib
+ nobase_perllib_DATA = $(EXTRA_DIST)
+ all: all-am
+
diff --git a/main/smokeping/0004-fix-sysconfdir-in-htdocs.patch b/main/smokeping/0004-fix-sysconfdir-in-htdocs.patch
new file mode 100644
index 0000000000..2e247b4d0b
--- /dev/null
+++ b/main/smokeping/0004-fix-sysconfdir-in-htdocs.patch
@@ -0,0 +1,13 @@
+Patch from: Jeff Bilyk <jbilyk@alpinelinux.org>
+
+--- smokeping-2.6.1/htdocs/Makefile.in
++++ smokeping-2.6.1/htdocs/Makefile.in.new
+@@ -214,7 +214,7 @@
+ cropper/cropper.uncompressed.js cropper/cropper.js
+
+ EXTRA_DIST = $(JS)
+-jsdir = $(DESTDIR)$(HTDOCSDIR)
++jsdir = $(HTDOCSDIR)
+ nobase_js_DATA = $(JS)
+ all: all-am
+
diff --git a/main/smokeping/APKBUILD b/main/smokeping/APKBUILD
index 4af5203173..f052cec85b 100644
--- a/main/smokeping/APKBUILD
+++ b/main/smokeping/APKBUILD
@@ -1,24 +1,30 @@
-# Contributor: Jeff Bilyk <jbilyk at gmail>
+# Contributor: Jeff Bilyk <jbilyk@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=smokeping
-pkgver=2.4.2
-pkgrel=3
+pkgver=2.6.1
+pkgrel=0
pkgdesc="Smokeping network latency monitoring"
pkgusers="smokeping"
pkggroups="smokeping"
install="$pkgname.pre-install"
url="http://oss.oetiker.ch/smokeping/"
source="http://oss.oetiker.ch/smokeping/pub/smokeping-$pkgver.tar.gz
- smokeping.initd"
+ smokeping.initd
+ 0001-fix-sysconfdir-in-etc.patch
+ 0002-fix-sysconfdir-in-doc.patch
+ 0003-fix-sysconfdir-in-lib.patch
+ 0004-fix-sysconfdir-in-htdocs.patch"
depends="perl fping rrdtool perl-rrd
- perl-uri
+ perl-uri-escape
perl-digest-hmac
perl-cgi-session
perl-libwww
perl-snmp-session
perl-net-dns
+ perl-fcgi
+ perl-config-grammar
"
-arch="noarch"
+arch="all"
license="GPL"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -26,87 +32,35 @@ _vendorlib=/usr/share/perl5/vendor_perl
prepare() {
cd "$_builddir"
- # provided by perl-digest-hmac
- rm -rf lib/Digest
- # provided by perl-cgi-session
- rm -rf lib/CGI
- # provided by perl-snmp-session
- rm -r lib/BER.pm lib/SNMP_Session.pm lib/SNMP_util.pm
- rm -r qooxdoo/qooxdoolink
+
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
- return 0
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --bindir=/usr/bin \
+ --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/libexec \
+ --datarootdir=/usr/share \
+ --mandir=/usr/share/man \
+ --with-htdocs-dir=/usr/share/webapps \
+ || return 1
}
package() {
cd "$_builddir"
-
- # create dirs
- mkdir -p "$pkgdir"/etc/smokeping \
- "$pkgdir"/usr/bin \
- "$pkgdir"/usr/share/webapps/smokeping \
- "$pkgdir"/$_vendorlib
-
- # install libs
- cp -ra "$_builddir"/lib/* "$pkgdir"/$_vendorlib
-
- # install cgi scripts
- for i in smokeping.cgi tr.cgi; do
- sed -i -e 's:^use lib:#use lib:' \
- -e 's:/home/oetiker.*/config.dist:/etc/smokeping/config:' \
- -e '1s:.*:#!/usr/bin/perl:' \
- htdocs/$i.dist || return 1
- mv htdocs/$i.dist \
- "$pkgdir"/usr/share/webapps/smokeping/$i \
- || return 1
- done
-
- # install ajax scripts
- mv "$_builddir/htdocs"/* "$pkgdir"/usr/share/webapps/smokeping
-
- # install smokeping executables
- for i in smokeping tSmoke; do
- sed -e 's:^use lib:#use lib:g' \
- -e 's:etc/config.dist:/etc/smokeping/config:' \
- -i bin/$i.dist
- install -m755 bin/$i.dist "$pkgdir"/usr/bin/$i
- done
-
- # config
- sed -e '/^imgcache/{s:\(^imgcache[ \t]*=\).*:\1 /var/lib/smokeping/.simg:}' \
- -e '/^imgurl/{s:\(^imgurl[ \t]*=\).*:\1 ../.simg:}' \
- -e '/^datadir/{s:\(^datadir[ \t]*=\).*:\1 /var/lib/smokeping:}' \
- -e '/^piddir/{s:\(^piddir[ \t]*=\).*:\1 /var/run/smokeping:}' \
- -e '/^cgiurl/{s#\(^cgiurl[ \t]*=\).*#\1 http://some.place.xyz/perl/smokeping.pl#}' \
- -e '/^smokemail/{s:\(^smokemail[ \t]*=\).*:\1 /etc/smokeping/smokemail:}' \
- -e '/^tmail/{s:\(^tmail[ \t]*=\).*:\1 /etc/smokeping/tmail:}' \
- -e '/^secrets/{s:\(^secrets[ \t]*=\).*:\1 /etc/smokeping/smokeping_secrets:}' \
- -e '/^template/{s:\(^template[ \t]*=\).*:\1 /etc/smokeping/basepage.html:}' \
- -e '/^sendmail/{s:usr/lib:usr/sbin:}' \
- -i etc/config.dist || return 1
-
- sed -e '/^<script/{s:cropper/:/cropper/:}' \
- -i etc/basepage.html.dist \
- || return 1
-
- for i in etc/*; do
- local f=${i##*/}
- install -m644 "$i" "$pkgdir"/etc/smokeping/${f%.dist}
- done
-
- chmod 700 "$pkgdir"/etc/smokeping/smokeping_secrets
-
- # initscript
- install -Dm755 "$srcdir"/smokeping.initd "$pkgdir"/etc/init.d/smokeping\
- || return 1
-
- install -d -o smokeping -g smokeping -m755 \
- "$pkgdir"/var/lib/smokeping \
- "$pkgdir"/var/lib/smokeping/.simg \
- "$pkgdir"/var/run/smokeping
-
+ make DESTDIR="$pkgdir" install || return 1
}
-md5sums="eb8e7679fcad35e59d7c51f2328250a2 smokeping-2.4.2.tar.gz
-550979e008f49299bf404aceeb81fe61 smokeping.initd"
+md5sums="f4a5437b71e02f982f08bf318bb9857d smokeping-2.6.1.tar.gz
+550979e008f49299bf404aceeb81fe61 smokeping.initd
+b3f3c968c582adb9e4e0fdcc9c7163e9 0001-fix-sysconfdir-in-etc.patch
+552c05ad77a3a4ca5a0deee3128a01f2 0002-fix-sysconfdir-in-doc.patch
+6bab62a79099cea322e4f9dd6fffd828 0003-fix-sysconfdir-in-lib.patch
+372c700c585efbe5d0e53476d2e0088b 0004-fix-sysconfdir-in-htdocs.patch"